Bug 867937 - pcp-testsuite - useless and failing import of argparse in qa script
pcp-testsuite - useless and failing import of argparse in qa script
Status: CLOSED CANTFIX
Product: Red Hat Developer Toolset
Classification: Red Hat
Component: pcp (Show other bugs)
DTS 1.1 RHEL 6
All Linux
unspecified Severity unspecified
: ---
: 1.1
Assigned To: Nathan Scott
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2012-10-18 11:40 EDT by Tomas Dohnalek
Modified: 2013-02-15 02:30 EST (History)
6 users (show)

See Also:
Fixed In Version: devtoolset-1.1-pcp-3.6.9-2.el[56]
Doc Type: Bug Fix
Doc Text:
No documentation needed.
Story Points: ---
Clone Of:
Environment:
Last Closed: 2013-01-22 10:35:58 EST
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
fixing patch (282 bytes, patch)
2012-10-18 11:40 EDT, Tomas Dohnalek
no flags Details | Diff

  None (edit)
Description Tomas Dohnalek 2012-10-18 11:40:42 EDT
Created attachment 629521 [details]
fixing patch

Description of problem:
In file qa/src/test_pcp.python, there is import of not-used module argparse causing failure in test-case 707 on both RHEL5 and RHEL6


Version-Release number of selected component (if applicable):
3.6.9-1.el6, 3.6.9-1.el5


How reproducible:
Always.

Steps to Reproduce:
1. Make sure you have installed devtoolset-1.1.
2. Enable devtoolset-1.1: `scl enable devtoolset-1.1 bash'
3. Run test-case 707
  
Actual results:
raceback (most recent call last):
  File "/opt/rh/devtoolset-1.1/root/var/lib/pcp/testsuite/src/test_pcp.python", line 19, in <module>
    import argparse
ImportError: No module named argparse

Expected results:
Not fail

Additional info:
Comment 2 Nathan Scott 2012-10-18 19:58:07 EDT
Tomas' fix has been merged into the upstream PCP git tree.

Note You need to log in before you can comment on or make changes to this bug.